##The libsequence home page

This is the homepage for __libsequence__, which is a C++ library for evolutionary genetics.

###Versions

The current "master" branch of the library is 1.8.3.  This version represents a major change to the code base.  The biggest change is that the library no longer requires [boost](http://www.boost.org) or the [GSL](http://gnu.org/software/gsl) libraries.  It still requires [zlib](http://zlib.net).  See the Revision History section in the README, which you can find at the [GitHub repo](https://github.com/molpopgen/libsequence) for the project.

###Source code

The library code is [here](https://github.com/molpopgen/libsequence)

###Library documentation

[Reference manual](doc/html/index.html)

###Programs using the library

There are lots of these:

* [Thornton lab software page](http://molpopgen.org/software.html)
* [Kevin Thornton](https://github.com/molpopgen)'s GitHub account
* [Thornton lab](https://github.com/ThorntonLab) GitHub account

Some specific project using the library

* [fwdpp](https://github.com/molpopgen/fwdpp) - Forward simulation library described in Thornton (2014, doi: 10.1534/genetics.114.165019)
* [pecnv](https://guthub.com/molpopgen/pecnv) - code from Rogers et al. (2014, doi: 10.1093/molbev/msu124) and Cridland et al (2013, doi: 10.1093/molbev/mst129) for detecting structural variants and transposable element insertions
* [baldwin_brown_2014](https://github.com/molpopgen/baldwin_brown_2014) - Code from Baldwin-Brown et al. (2014, doi: 10.1093/molbev/msu048) for simulating "evolve and resequence" experiments
* [analysis](https://github.com/molpopgen/analysis)
* [sequtils](https://github.com/molpopgen/sequtils)
* [msstats](https://github.com/molpopgen/msstats)
* [sweepsims](https://github.com/molpopgen/sweepsims) - selective sweep code from Jensen et al. (2008, doi: 10.1371/journal.pgen.1000198), Thornton and Jensen 2007, doi: 10.1534/genetics.106.064642)
* [newgene](https://github.com/molpopgen/newgene) - copy-number variant simulation code from Thornton (2007, doi: 10.1534/genetics.107.074948)

###Citation

If you use __libsequence__ for yor research, or programs depending up on it, please cite the following paper:

* Thornton, K. (2003) libsequence, a C++ class library for evolutionary genetic analysis. Bioinformatics __19__(17): 2325-2327  PMID 14630667 [Manuscript](http://bioinformatics.oxfordjournals.org/content/19/17/2325.short), [Software](https://github.com/molpopgen/libsequence)

